#clear all the memory
rm (list=ls())

#load the second sheet of the workbook - the unseen instances
library(xlsReadWrite)
setwd("D:/DataMining/Databases_for_mining/dataset_for_soft_dev_and_comparison/idt-spad")
pima.unlabeled <- read.xls(file="pima-storing-models.xls",colNames=T,sheet="a_classer")

#the filehash package
library(filehash)
#retrieve the models stored into the database
db.models <- dbInit("models.db")
#attach the database to an environment
env.models <- db2env(db.models)
#printing the available models
print(ls(env.models))

#load the appropriate packages
library(rpart)
library(MASS)

#making the classification of the unseen instances with each model
pred.tree <- predict(env.models$tree.final,newdata=pima.unlabeled,type="class")
pred.logreg <- as.factor(ifelse(predict(env.models$logreg.final,newdata=pima.unlabeled,type="response")>0.5,"positive","negative"))
pred.lda <- predict(env.models$lda.final,newdata=pima.unlabeled)$class
scores.pca <- predict(env.models$pca,newdata=pima.unlabeled)
scores <- as.data.frame(scores.pca)
pred.lda.pca <- predict(env.models$lda.pca,newdata=pima.unlabeled)$class

#create a data frame from predictions
predictions <- data.frame(pred.tree,pred.logreg,pred.lda,pred.lda.pca)
print(summary(predictions))

#store the predictions into a file
file.remove("predictions.txt")
write.table(predictions,file="predictions.txt",dec=".",sep="\t",row.names=F,quote=F)
