#clear the memory
rm(list=ls())

#function for the confusion matrix and the error rate calculations
error_rate <- function(y,ypred){
  mc <- table(y,ypred)
  error <- (mc[1,2]+mc[2,1])/sum(mc)
  print(mc)
  print(error)
}

#load the labels of the instances from the third sheet of the workbook
library(xlsReadWrite)
setwd("D:/DataMining/Databases_for_mining/dataset_for_soft_dev_and_comparison/idt-spad")
pima.labeled <- read.xls(file="pima-storing-models",colNames=T,sheet="etiquette")

#load the predictions of the models
predictions <- read.table("predictions.txt",header=T,dec=".",sep="\t")

#confusion matrix and error rate for each classifier
error_rate(pima.labeled$diabete,predictions$pred.tree)
error_rate(pima.labeled$diabete,predictions$pred.logreg)
error_rate(pima.labeled$diabete,predictions$pred.lda)
error_rate(pima.labeled$diabete,predictions$pred.lda.pca)
